package com.patzn.lims.file.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.file.entity.LmsFileStorage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wangweidong
 * @since 2019-12-13
 */
public interface ILmsFileStorageService extends IBaseService<LmsFileStorage> {


    Page<LmsFileStorage> page(Page<LmsFileStorage> page, LmsFileStorage schoolFileStorage);


    List<LmsFileStorage> list(LmsFileStorage schoolFileStorage);

    LmsFileStorage getVOByCompanyId(Long companyId);

    LmsFileStorage getLockStorageById(Long companyId);

    LmsFileStorage getByCompanyId(Long companyId);
}
